Get worker Info

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Searches for individual worker information by email.
This endpoint requires the “email” query param in order to search by email.
If the worker has finished the onboarding process and created an account successfully, the response will show the same info shown on the Get Worker List endpoint.
If the worker has not started the onboarding process, the response will be an exception explaining the reason (as seen in the example below).

curl --location 'https://api.demo.getontop.com/contract/workers?email=john.doe.ontop%40yopmail.com' \
--header 'Authorization: Bearer' \
  --header 'Cookie: JSESSIONID='
{
    "agreementId": 11,
    "firstName": "John",
    "lastName": "Doe",
    "legalName": null,
    "email": "[email protected]",
    "jobTitle": "Software Engineer",
    "country": "United States",
    "externalId": null,
    "workerCreationDate": "2023-01-31T17:51:20.297+00:00",
    "status": "ACTIVE"
}
Query Params
string
Headers
string
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!